#ifndef TRANSFERITEM_H_
#define TRANSFERITEM_H_

#include <iostream>

using namespace std;

class TransferItem
{
	private:
		bool transferred;
		string sourcePath;
		string destinationPath;
		string protocolDestinationPath;
		FILE* sourceFile;
		
	public:
		TransferItem(string sourcePath, string destinationPath);
		virtual ~TransferItem();
		
		FILE* getSourceFile();
		string getSourcePath();
		string getDestinationPath();
		string getDestinationDir();
		string getProtocolDestinationPath();
		void setProtocolDestinationPath(string destinationPath);
		void closeFile();
		void setTransferred();
		bool isTransferred();
		
};

#endif /*TRANSFERITEM_H_*/
